%dager = (
  'tralare_dager' => {
    'answer' => 'Trålare',
    'background' => 'white',
    'vertical_patterns' => [['black:poly:1,-0.5;0,-2;2,-2', 'black:poly:1,0.5;0,2;2,2']],
  },
  'djupgaende_rektangel' => {
    'answer' => 'Fartyg som är hämmat av sitt djupgående',
    'background' => 'white',
    'vertical_patterns' => [['black:rect:1,3', 'black:rect:0.1,5']],
  },
  'motorkon0' => {
    'answer' => 'Segelfartyg som går för motor',
    'background' => 'white',
    'vertical_patterns' => [['black:poly:0,0;1,2;2,0']],
  },
  'ej_manoverfardigt_dager' => {
    'answer' => 'Ej manöverfärdigt fartyg',
    'background' => 'white',
    'vertical_patterns' => [['black:circle:-15', 'black:circle:15', 'black:rect:0.1,5']],
  },
  'motorfartyg_begr_dager' => {
    'answer' => 'Fartyg med begränsad manöverförmåga',
    'background' => 'white',
    'vertical_patterns' => [['black:poly:-0.6,0;0,-0.6;0.6,0;0,0.6'], 7.5, ['black:circle:-25', 'black:circle:25']],
  },
  'bogserbat_dager' => {
    'answer' => 'Bogserbåt >50m med släp >200m',
    'background' => 'white',
    'vertical_patterns' => [['black:poly:-0.6,0;0,-0.6;0.6,0;0,0.6']],
  },
  'ankarboll' => {
    'answer' => 'Fartyg till ankars',
    'background' => 'white',
    'vertical_patterns' => [['black:circle:0', 'black:rect:0.1,5']],
  },
  'grund_dager' => {
    'answer' => 'Fartyg på grund',
    'background' => 'white',
    'vertical_patterns' => [['black:circle:-30', 'black:circle:0', 'black:circle:30', 'black:rect:0.1,5']],
  },
);

my @v_rwr = ('red:circle:0', 'white:circle:30', 'red:circle:60');
my @v_rrr = ('red:circle:0', 'red:circle:30', 'red:circle:60');
my @v_www = ('white:circle:0', 'white:circle:30', 'white:circle:60');
my @v_gww = ('green:circle:0', 'white:circle:30', 'white:circle:60');
my @v_rg = ('red:circle:0', 'green:circle:30');
my @v_gw = ('green:circle:0', 'white:circle:30');
my @v_rr = ('red:circle:0', 'red:circle:30');
my @v_rw = ('red:circle:0', 'white:circle:30');
my @v_wr = ('white:circle:0', 'red:circle:30');
my @v_ww = ('white:circle:0', 'white:circle:30');
my @hv_rw = ('red:circle:0', 'white:circle:45');
my @v_gg = ('green:circle:0', 'green:circle:30');

%toppljus = (
  'ej_manoverfardigt_topp' => {
    'answer' => 'Ej manöverfärdigt fartyg (endast toppljuset)',
    'background' => 'black',
    'vertical_patterns' => [[@v_rr]],
  },
  'motorfartyg_begr_topp' => {
    'answer' => 'Fartyg med begränsad manöverförmåga (endast toppljuset)',
    'background' => 'black',
    'vertical_patterns' => [[@v_rwr]],
  },
  'bogserbat_topp' => {
    'answer' => 'Bogserbåt >50m med släp >200m (endast toppljuset)',
    'background' => 'black',
    'vertical_patterns' => [[@v_www]],
  },
  'djupgaende_topp' => {
    'answer' => 'Fartyg hämmat av sitt djupgående (endast toppljuset)',
    'background' => 'black',
    'vertical_patterns' => [[@v_rrr]],
  },
  'tralare_topp' => {
    'answer' => 'Trålare (endast toppljuset)',
    'background' => 'black',
    'vertical_patterns' => [[@v_gw]],
  },
  'segelbat_topp' => {
    'answer' => 'Segelbåt (endast toppljuset) (frivilligt)',
    'background' => 'black',
    'vertical_patterns' => [['red:circle:-15', 'green:circle:15']],
  },
  'linfarja' => {
    'answer' => 'Linfärja',
    'background' => 'black',
    'vertical_patterns' => [['red:circle:25'], 30, ['red:circle:-15'], 30, ['red:circle:25']],
  },
  'minrojare' => {
    'answer' => 'Minröjare',
    'background' => 'black',
    'vertical_patterns' => [['green:circle:25'], 30, ['green:circle:-15'], 30, ['green:circle:25']],
  },
  'lots' => {
    'answer' => 'Lots (endast toppljuset)',
    'background' => 'black',
    'vertical_patterns' => [[@v_wr]],
  },
);

%combos = (
# Grund
  'grund_natt_fram' => {
    'answer' => 'Fartyg på grund <50m (ankarljus + två röda över varandra), framifrån eller bakifrån',
    'background' => 'black',
    'vertical_patterns' => [[@v_rr, 'white:circle:20']],
  },
  'grund_natt_styrb' => {
    'answer' => 'Fartyg på grund <50m (ankarljus + två röda över varandra)',
    'background' => 'black',
    'vertical_patterns' => [[@v_rr], 'r', ['white:circle:20']],
  },
  'grund_natt_bab' => {
    'answer' => 'Fartyg på grund <50m (ankarljus + två röda över varandra)',
    'background' => 'black',
    'vertical_patterns' => [['white:circle:20'], r, [@v_rr]],
  },
  'grund_natt_stor_styrb' => {
    'answer' => 'Fartyg på grund >50m (ankarljus + två röda över varandra), framifrån eller bakifrån',
    'background' => 'black',
    'vertical_patterns' => [['white:circle:-5'], 300, [@v_rr], 70, ['white:circle:45']],
  },
  'grund_natt_stor_bab' => {
    'answer' => 'Fartyg på grund >50m (ankarljus + två röda över varandra)',
    'background' => 'black',
    'vertical_patterns' => [['white:circle:45'], 70, [@v_rr], 300, ['white:circle:-5']],
  },
  'grund_natt_stor_fram' => {
    'answer' => 'Fartyg på grund >50m (ankarljus + två röda över varandra)',
    'background' => 'black',
    'vertical_patterns' => [['white:circle:45', @v_rr, 'white:circle:-25']],
  },

# Fiskefartyg
  'fiskef_natt_fram' => {
    'answer' => 'Fiskefartyg, framifrån',
    'background' => 'black',
    'vertical_patterns' => [['red:circle:200'], 'r', [@v_rw], 'r', ['green:circle:200']],
  },
  'fiskef_natt_styrb' => {
    'answer' => 'Fiskefartyg, på väg mot/sett från styrbord',
    'background' => 'black',
    'vertical_patterns' => [['green:circle:200'], 'r', [@v_rw]],
  },
  'fiskef_natt_bab' => {
    'answer' => 'Fiskefartyg, på väg mot/sett från babord',
    'background' => 'black',
    'vertical_patterns' => [[@v_rw], 'r', ['red:circle:200']],
  },

# Lots
  'lots_natt_fram' => {
    'answer' => 'Lots, framifrån',
    'background' => 'black',
    'vertical_patterns' => [['red:circle:200'], 'r', [@v_wr], 'r', ['green:circle:200']],
  },
  'lots_natt_styrb' => {
    'answer' => 'Lots, på väg mot/sett från styrbord',
    'background' => 'black',
    'vertical_patterns' => [['green:circle:200'], 'r', [@v_wr]],
  },
  'lots_natt_bab' => {
    'answer' => 'Lots, på väg mot/sett från babord',
    'background' => 'black',
    'vertical_patterns' => [[@v_wr], 'r', ['red:circle:200']],
  },

# Trålare
  'tralare_natt_fram' => {
    'answer' => 'Trålare, framifrån',
    'background' => 'black',
    'vertical_patterns' => [['red:circle:200'], 'r', [@v_gw], 'r', ['green:circle:200']],
  },
  'tralare_natt_styrb' => {
    'answer' => 'Trålare, på väg mot/sett från styrbord',
    'background' => 'black',
    'vertical_patterns' => [[@v_gw], 'r', ['green:circle:200']],
  },
  'tralare_natt_bab' => {
    'answer' => 'Trålare, på väg mot/sett från babord',
    'background' => 'black',
    'vertical_patterns' => [['red:circle:200'], 'r', [@v_gw]],
  },

# Fartyg hämmat av sitt djupgående
  'djupgaende_fram_1' => {
    'answer' => 'Fartyg hämmat av sitt djupgående, framifrån',
    'background' => 'black',
    'vertical_patterns' => [['green:circle:200'], 'r1', [@v_rrr], 30, ['white:circle:-25', 'white:circle:15'], 30, ['black:circle:0'], 'r1', ['red:circle:200']],
  },
  'djupgaende_fram_2' => {
    'answer' => 'Fartyg hämmat av sitt djupgående, framifrån',
    'background' => 'black',
    'vertical_patterns' => [['green:circle:200'], 'r1', ['black:circle:0'], 30, ['white:circle:-25', 'white:circle:15'], 30, [@v_rrr], 'r1', ['red:circle:200']],
  },
  'djupgaende_styrb' => {
    'answer' => 'Fartyg hämmat av sitt djupgående, på väg mot/sett från styrbord',
    'background' => 'black',
    'vertical_patterns' => [['white:circle:15'], 300, ['green:circle:200'], 20, [@v_rrr], 10, ['white:circle:-25']],
  },
  'djupgaende_bab' => {
    'answer' => 'Fartyg hämmat av sitt djupgående, på väg mot/sett från babord',
    'background' => 'black',
    'vertical_patterns' => [['white:circle:-25'], 10, [@v_rrr], 20, ['red:circle:200'], 300, ['white:circle:15']],
  },
  'vit_i_morker' => {
    'answer' => 'Nästan vad som helst sett från aktern, eller liten båt (<7m & <7kn), eller ett fartyg <50m till ankars',
    'background' => 'black',
    'vertical_patterns' => [['white:circle:0']],
  },

# Segelbåt
  'segelbat_framifran' => {
    'answer' => 'Segelbåt, framifrån',
    'background' => 'black',
    'vertical_patterns' => [['red:circle:0'], 'r', ['green:circle:0']],
  },
  'segelbat_styrb' => {
    'answer' => 'Segelbåt, på väg mot/sett från styrbord',
    'background' => 'black',
    'vertical_patterns' => [['green:circle:0']],
  },
  'segelbat_bab' => {
    'answer' => 'Segelbåt, på väg mot/sett från babord',
    'background' => 'black',
    'vertical_patterns' => [['red:circle:0']],
  },
  'segelbat_framifran_mastlant' => {
    'answer' => 'Segelbåt med mastlanterna, framifrån',
    'background' => 'black',
    'vertical_patterns' => [['red:circle:200'], 'r1', ['red:circle:-15', 'green:circle:15'], 'r1', ['green:circle:200']],
  },
  'segelbat_styrb_mastlant' => {
    'answer' => 'Segelbåt med mastlanterna, på väg mot/sett från styrbord',
    'background' => 'black',
    'vertical_patterns' => [['green:circle:200'], 'r', ['red:circle:-15', 'green:circle:15']],
  },
  'segelbat_bab_mastlant' => {
    'answer' => 'Segelbåt med mastlanterna, på väg mot/sett från babord',
    'background' => 'black',
    'vertical_patterns' => [['red:circle:-15', 'green:circle:15'], 'r', ['red:circle:200']],
  },

# Ej manöverfärdigt fartyg
  'ej_manoverfardigt_fram' => {
	  'answer' => 'Ej manöverfärdigt fartyg, framifrån',
    'background' => 'black',
    'vertical_patterns' => [['green:circle:200'], 'r1', [@v_rr], 'r1', ['red:circle:200']],
  },
  'ej_manoverfardigt_fram' => {
    'answer' => 'Ej manöverfärdigt fartyg, på väg mot/sett från styrbord',
    'background' => 'black',
    'vertical_patterns' => [['green:circle:200'], 'r', [@v_rr]],
  },

# Fartyg med begränsad manöverförmåga
  'motorfartyg_begr_framifran' => {
    'answer' => 'Fartyg med begränsad manöverförmåga, på väg mot/sett från babord',
    'background' => 'black',
    'vertical_patterns' => [[@v_rwr], 'r', ['red:circle:200']],
  },
  'motorfartyg_begr_styrbord' => {
    'answer' => 'Fartyg med begränsad manöverförmåga, på väg mot/sett från styrbord',
    'background' => 'black',
    'vertical_patterns' => [['green:circle:200'], 'r', [@v_rwr]],
  },
  'motorfartyg_begr_babord' => {
    'answer' => 'Fartyg med begränsad manöverförmåga, på väg mot/sett från babord',
    'background' => 'black',
    'vertical_patterns' => [[@v_rwr], 'r', ['red:circle:200']],
  },

# Fartyg >50m
  'stort_fram' => {
    'answer' => 'Fartyg >50m, framifrån',
    'background' => 'black',
    'vertical_patterns' => [['red:circle:200'], 'r1', [@v_ww], 'r1', ['green:circle:200']],
  },
  'stort_styrbord' => {
    'answer' => 'Fartyg >50m, på väg mot/sett från styrbord',
    'background' => 'black',
    'vertical_patterns' => [['white:circle:30'], '300', ['green:circle:100'], '10', ['white:circle:0']],
  },
  'stort_babord' => {
    'answer' => 'Fartyg >50m, på väg mot/sett från babord',
    'background' => 'black',
    'vertical_patterns' => [['white:circle:30'], '10', ['red:circle:100'], '300', ['white:circle:0']],
  },

# Bogserbåt
  'bogserbat_styrb' => {
    'answer' => 'Bogserbåt >50m med släp >200m på väg mot/sett från styrbord',
    'background' => 'black',
    'vertical_patterns' => [[@v_www], 10, ['green:circle:100'],300,['green:circle:100']],
  },
  'bogserbat_bab' => {
    'answer' => 'Bogserbåt >50m med släp >200m på väg mot/sett från babord',
    'background' => 'black',
    'vertical_patterns' => [['red:circle:100'],300,['red:circle:100'],10,[@v_www]],
  },

# Mudderverk
  'mudderverk_mitt_styrb' => {
    'answer' => 'Mudderverk som går att passera på styrbordssidan',
    'background' => 'black',
    'vertical_patterns' => [
      [@v_gg],
      'r1',
      [@v_rwr],
      'r1',
      [@v_rr],
    ],
  },
  'mudderverk_mitt_bab' => {
    'answer' => 'Mudderverk som går att passera på babordsidan',
    'background' => 'black',
    'vertical_patterns' => [
      [@v_rr],
      'r1',
      [@v_rwr],
      'r1',
      [@v_gg],
    ],
  },
  'mudderverk_styrb_styrb' => {
    'answer' => 'Mudderverk som går att passera på styrbordssidan',
    'background' => 'black',
    'vertical_patterns' => [
      [@v_rwr],
      'r',
      [@v_gg],
      30,
      [@v_rr],
    ],
  },
  'mudderverk_styrb_bab' => {
    'answer' => 'Mudderverk som går att passera på babordsidan',
    'background' => 'black',
    'vertical_patterns' => [
      [@v_rwr],
      'r',
      [@v_rr],
      30,
      [@v_gg],
    ],
  },
  'mudderverk_bab_styrb' => {
    'answer' => 'Mudderverk som går att passera på styrbordssidan',
    'background' => 'black',
    'vertical_patterns' => [
      [@v_gg],
      30,
      [@v_rr],
      'r',
      [@v_rwr],
    ],
  },
  'mudderverk_bab_bab' => {
    'answer' => 'Mudderverk som går att passera på babordsidan',
    'background' => 'black',
    'vertical_patterns' => [
      [@v_rr],
      30,
      [@v_gg],
      'r',
      [@v_rwr],
    ],
  },

# Ankar
  'ankars_styrb' => {
    'answer' => 'Fartyg >50m till ankars',
    'background' => 'black',
    'vertical_patterns' => [['white:circle:0'], 'r', ['white:circle:50']],
  },
  'ankars_bab' => {
    'answer' => 'Fartyg >50m till ankars',
    'background' => 'black',
    'vertical_patterns' => [['white:circle:50'], 'r', ['white:circle:0']],
  },
);

%patterns = (
%toppljus,
%dager,
%combos,
);

1;

# Lots, vit över röd
